<?php class themes_model extends CI_Model{

	private $table_name	= 'temas';			// users profiles

	public function get_themes($active=null)
	{
		//$this->db->from($this->table_name);
		$this->db->select("temas.id_temas AS id_temas,temas.nombre AS nombre,fecha,graficos_temas.nombre AS graficos_nombre,graficos_temas.nombre_pt AS graficos_nombre_pt,graficos_temas.nombre_en AS graficos_nombre_en");
		$this->db->from("temas left join graficos_temas on temas.id_temas = graficos_temas.id_temas");
		$this->db->order_by('temas.nombre');
		$query=$this->db->get();
		return $query->result_array();
	}


	public function get_theme($id)
	{
		$this->db->select("temas.id_temas AS id_temas,temas.nombre AS nombre,fecha,graficos_temas.nombre AS graficos_nombre,graficos_temas.nombre_pt AS graficos_nombre_pt,graficos_temas.nombre_en AS graficos_nombre_en");
		$this->db->from("temas left join graficos_temas on temas.id_temas = graficos_temas.id_temas");
		$this->db->where('temas.id_temas', $id);
		$query=$this->db->get();
		return $query->row_array();

	}



	public function set_theme($id,$data=null,$mode=null)
	{
		if (empty($data)) {return false;}

		if ($mode == 'insert') {
			$data_1 = array(
				'nombre' => $data['nombre'] ,
				'fecha' => $data['fecha']
			);
			$this->db->insert($this->table_name, $data_1);
			$id = $this->db->insert_id();
			$data_2 = array(
				'id_temas'=> $id,
				'nombre' => $data['graficos_nombre'],
				'nombre_pt' => $data['graficos_nombre_pt'],
				'nombre_en' => $data['graficos_nombre_en']
			);
			$this->db->insert("graficos_temas", $data_2);
			return $id;

		} else {

			if (!empty($data['nombre'])) { $data_1['t.nombre'] = $data['nombre'];}
			if (!empty($data['fecha'])) { $data_1['fecha'] = $data['fecha'];}
			if (!empty($data['graficos_nombre'])) { $data_1['gt.nombre'] = $data['graficos_nombre'];}
			if (!empty($data['graficos_nombre_pt'])) { $data_1['gt.nombre_pt'] = $data['graficos_nombre_pt'];}
			if (!empty($data['graficos_nombre_en'])) { $data_1['gt.nombre_en'] = $data['graficos_nombre_en'];}

			$this->db->where('t.id_temas', $id);
			return $this->db->update("temas t left join graficos_temas gt on t.id_temas = gt.id_temas", $data_1);
		}

	}

	public function delete_theme($id)
	{
		$tables = array($this->table_name, 'graficos_temas');
		$this->db->where('id_temas', $id);
		$this->db->delete($tables);
		return true;
	}

	public function get_theme_log($id)
	{
		$txtSelect = '*';
		$this->db->select($txtSelect);
		$this->db->from('temas_log');
		$this->db->where('id_temas', $id);
		$this->db->order_by('fecha','desc');
		$query=$this->db->get();
		return $query->result_array();
	}


	public function set_theme_log($data)
	{
		return $this->db->insert('temas_log', $data);
	}


	public function is_unique($nombre, $id, $campo)
	{
		if ($campo = 'nombre') {
			$this->db->from($this->table_name);
		} else {
			$this->db->from("graficos_temas");
		}
		$this->db->where('id_temas !=', $id);

		if ($campo == 'graficos_nombre_pt') {
			$this->db->where('nombre_pt', $nombre);
		} elseif ($campo == 'graficos_nombre_en') {
			$this->db->where('nombre_en', $nombre);
		} else {
			$this->db->where('nombre', $nombre);
		}
		$query=$this->db->get();
		if ($query->num_rows()>0) {return false;}else { return true;}
	}


}
